Bug 844050

Summary: RFE: enable brightness/media hotkeys in unlock screen
Product: [Fedora] Fedora Reporter: Alon Levy <alevy>
Component: gnome-shellAssignee: Owen Taylor <otaylor>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: collura, dblechte, kamilprusko, maxamillion, otaylor, peter, samkraju, walters
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-01 02:53:32 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Alon Levy 2012-07-28 06:54:18 EDT
Description of problem:
During a screen lock the I cannot change the brightness using the brightness hotkeys on my laptop.

Version-Release number of selected component (if applicable):
gnome-shell-3.4.1-4.fc17.x86_64

How reproducible:
100%

Steps to Reproduce:
1. lock screen: top right menu -> Lock Screen
or
dbus-send --print-reply --dest=org.gnome.ScreenSaver /org/gnome/ScreenSaver org.gnome.ScreenSaver.Lock
2. press brightness keys.
  
Actual results:
password dialog pops up, no brightness change.

Expected results:
brightness should change, no password dialog pop.

Additional info:
Comment 1 Kamil Prusko 2012-10-01 07:20:43 EDT
It's a more general issue.

Such hotkeys as Brightness, Volume, Media Playback needs higher priority. Currently they fail to work in:
* full-screen games
* modal dialogs (gnome-shell)
* overview mode (gnome-shell)
* when pop-up menus have focus (GTK+ and such)
* when indicators have open menus (gnome-shell)

Problem seems to be caused by XGrabKeyboard() called by mutter. Selected keys should work despite that grab. As for games, it might be more reliable to handle the hotkeys directly in X11.

Just my thoughts.
Comment 2 Peter Gordon 2013-01-22 00:28:39 EST
In addition, I see the same issue with media keys on ThinkPad keyboard. I can't pause or change songs in full screen games; and on the lock screen, even though I can easily click the back/play/next buttons to adjust my music, the media keys (Fn + arrow keys) do nothing. :\
Comment 3 Fedora End Of Life 2013-07-03 21:53:40 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 02:53:37 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.